/**
 * Copyright (c) 2022, WSO2 LLC. (https://www.wso2.com). All Rights Reserved.
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

import { SettingsTitleComponent } from "@b2bsample/shared/ui/ui-components";
import { Container } from "rsuite";
import "rsuite/dist/rsuite.min.css";
import PhoneComponent from "./otherComponents/phoneComponent";

/**
 * 
 * @param prop - session
 *
 * @returns Dashboard interface section.
 */
export default function PhoneSectionComponent() {

    return (
        <Container>
            <SettingsTitleComponent
                title="Phone"
                subtitle="Cloud VoIP phone service" />
            <br />
            <PhoneComponent />
        </Container>
    );
}
